%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:    zeroinstall-injector
Version: 0.24
Release: 2%{?dist}
Summary: The Zero Install Injector (0launch)

Group:   Applications/System
License: LGPL
URL:     http://0install.net
Source0: http://osdn.dl.sf.net/sourceforge/zero-install/%{name}-%{version}.tar.gz.gpg
Patch0:  zeroinstall-x86_64-arch.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
BuildRequires: python gnupg
Requires: PyXML pygtk2 gnupg

%description
A running process is created by combining many different libraries (and other
components). In the Zero Install world, we have all versions of each library
available at all times. The problem then is how to choose which versions to
use.

The injector solves this problem by selecting components to meet a program's
requirements, according to a policy you give it. The injector finds out which
versions are available, and downloads and runs the ones you choose.

%prep
gpg --decrypt %{SOURCE0} | gzip -cd - | tar xvf -
%setup -q -T -D
%patch0 -p1 -b .arch

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --install-data %{_datadir} --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/0*
%dir %{python_sitelib}/zeroinstall/
%dir %{python_sitelib}/zeroinstall/0launch-gui/
%dir %{python_sitelib}/zeroinstall/injector/
%dir %{python_sitelib}/zeroinstall/zerostore/
%{python_sitelib}/zeroinstall/*.py*
%{python_sitelib}/zeroinstall/0launch-gui/0launch-gui
%{python_sitelib}/zeroinstall/0launch-gui/README
%{python_sitelib}/zeroinstall/0launch-gui/ZeroInstall-GUI.xml
%{python_sitelib}/zeroinstall/*/*.py*
%{_mandir}/man1/0*


%changelog
* Sat Nov 11 2006 Michel Salim <michel.salim@gmail.com> 0.24-2
- Allow installation of ix86 binaries on x86_64

* Sat Nov  4 2006 Michel Salim <michel.salim@gmail.com> 0.24-1
- Update to 0.24
- Not ghosting .pyos any longer

* Sun Oct  8 2006 Michel Salim <michel.salim@gmail.com> 0.23-1
- Update to 0.23

* Sun Mar  5 2006 Michel Salim <michel.salim@gmail.com> 0.18-4
- Removed left-behind pushd and popd

* Sat Feb 25 2006 Michel Salim <michel.salim@gmail.com> 0.18-3
- Add Python-related requirements, BuildReq on gnupg to decrypt upstream source
 
* Sat Feb 18 2006 Michel Salim <michel.salim@gmail.com> 0.18-2
- Use _mandir, discard CFLAGS and unused python_sitearch definition

* Thu Feb 16 2006 Michel Salim <michel.salim@gmail.com> 0.18-1
- Initial Fedora Extras release, based on upstream spec contributed by Juan Carlos Jimenez Garcia
